Skip to navigation

Update Partner

Update an existing partner.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

partner_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
namestring or nullOptional
Your organization name
descriptionstring or nullOptional
Description of your services or organization

Response

Successful Response
namestring
Partner organization name
idstringformat: "uuid"
Unique Catena partner identifier
created_atdatetime
When the partner was onboarded to Catena
updated_atdatetime
Last modification timestamp
descriptionstring or nullOptional
Partner organization description
websiteslist of strings or nullOptional
List of websites associated with the organization. The website is used to map users to an organization based on their email domain and to authenticate them accordingly in the scope of the organization.
categorieslist of enumsOptional
A list of categories for the services offered by your organization
is_sandboxbooleanOptionalDefaults to false
Indicates whether the account is a sandbox account for testing purposes.
parent_partner_idstring or nullOptionalformat: "uuid"
Used to link a partner to a parent partner. If set, the partner will be associated with the parent partner specified by this ID. Used to consolidate billing and reporting for multiple related partners under a single parent organization.
slugstring or nullOptional

URL-friendly identifier for your organization

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error